<script setup>
import { computed, toRefs } from "vue";
import { useL10n } from "@cepharum/vue3-i18n";
import { useDefinition } from "../composables/definition.js";

const props = defineProps( {
	definition: [ Object, String ]
} );

const { definition } = toRefs( props );

useL10n().setNamespaceLoader( "@forms-processor", locale => import( `../l10n/${locale}.json` ) );

const qualifiedDefinition = computed( () => useDefinition( definition.value ) );
</script>

<template>
	<div class="forms-processor" v-if="qualifiedDefinition">

	</div>
</template>

<style scoped>

</style>
